Release Notes

On this page:

2021.2.1 Maintenance Release

2021.2.1 Maintenance Release [2022-02-01]

Changelog Overview

  • 1 Improvements
  • 17 Bug Fixes
  • 21 Chores
  • 39 Total Tickets

Improvements

  • itential-utils:2.8.1 [01-17-2022] - Added new library named 'chalk' to handle console output color themes.

Bug Fixes

  • app-admin_essentials:3.5.64-2021.2.18 [01-24-2022] - Updated button heights in the left navigation panel.
  • app-admin_essentials:3.5.64-2021.2.17 [01-20-2022] - Updated the styling for View All Repositories in the sidebar.
  • app-admin_essentials:3.5.64-2021.2.15 [01-17-2022] - Fixed the undo all button to revert changes made to integrations.
  • app-admin_essentials:3.5.64-2021.2.14 [01-14-2022] - Updated Golden Config URL links.
  • app-automation_catalog:2.11.10-2021.2.4 [01-24-2022] - Fixed an issue which prevented superusers from bypassing GBAC on automations.
  • app-automation_catalog:2.11.10-2021.2.3 [01-20-2022] - Improved error handling in the migrateDialog component. When migrating automations from Automation Catalog to Operations Manager with duplicate names, a user-friendly error message is displayed.
  • app-form_builder:4.11.7-2021.2.2 [01-24-2022] - Updated the JSON schema definition for the form document to fix an import issue.
  • app-operations_manager:1.135.13-2021.2.7 [01-24-2022] - Enabled form validation in manual and schedule trigger dialogs.
  • app-operations_manager:1.135.13-2021.2.6 [01-21-2022] - Added task GBAC validation to the UI to prevent users from working tasks without having the appropriate group permissions.
  • app-operations_manager:1.135.13-2021.2.4 [01-18-2022] - Added the ability to revert a job upon task error by adding the start/end task to the Job Details task table.
  • app-operations_manager:1.135.13-2021.2.3 [01-13-2022] - Incoming and outgoing variables that are masked will be sent with null values and an encrypted decorator reference. On the front end, all variables will be starred out to indicate that the value is not null, but masked.
  • app-workflow_builder:5.44.8-2021.2.1 [01-18-2022] - Removed older logic for importing workflows prior to 2020.1 that could cause current workflows to error on import.
  • itential-utils:2.8.0 [01-11-2022] - Removed colors library and pinned the other external dependencies.
  • pronghorn-core:13.15.17-2021.2.21 [01-24-2022] - Fixed a bug that did not allow a service model name to contain the dot character.
  • pronghorn-core:13.15.17-2021.2.20 [01-24-2022] - Updated service module to fix issue that could lead to a Workflow Engine crash.
  • pronghorn-core:13.15.17-2021.2.18 [01-21-2022] - Fixed issue where unnecessary service configs were created during migration.
  • pronghorn-core:13.15.17-2021.2.17 [01-18-2022] - Slash characters in services, profiles, and integration model names are no longer allowed.

Chores

  • adapter-automation_gateway:4.24.1-2021.2.1 [01-20-2022] - Updated itential-utils dependency to the latest version.
  • adapter-azure_aaa:1.3.2-2021.2.2 [01-19-2022] - Updated itential-utils dependency.
  • adapter-email:4.2.2-2021.2.2 [01-18-2022] - Updated itential-utils dependency to use chalk instead of colors.
  • adapter-ldap:2.13.1-2021.2.2 [01-21-2022] - Removed unused modules from package file.
  • adapter-local_aaa:4.3.1-2021.2.2 [01-19-2022] - Updated itential-utils dependency to latest version.
  • adapter-nso:7.8.2-2021.2.3 [01-20-2022] - Updated itential-utils dependency to latest version.
  • adapter-radius:2.1.1-2021.2.1 [01-18-2022] - Updated itential-utils dependency to use chalk library instead of colors.
  • app-admin_essentials:3.5.64-2021.2.16 [01-20-2022] - Updated itential-utils to remove colors npm package.
  • app-ag_manager:1.16.1-2021.2.1 [01-18-2022] - Updated itential-utils dependency to the latest version.
  • app-automation_catalog:2.11.10-2021.2.2 [01-19-2022] - Updated itential-utils package to restore colored script output.
  • app-configuration_manager:3.90.10-2021.2.7 [01-18-2022] - Updated the itential-utils dependency to latest version.
  • app-json_forms:1.33.5-2021.2.2 [01-24-2022] - Updated itential-utils dependency to latest version.
  • app-jst:1.5.18-2021.2.2 [01-18-2022] - Updated itential-utils dependency to latest version.
  • app-nso_manager:2.23.0-2021.2.2 [01-20-2022] - Updated itential-utils dependency to latest version.
  • app-operations_manager:1.135.13-2021.2.5 [01-19-2022] - Updated itential-utils package to remove colors dependency.
  • app-service_management:2.24.3-2021.2.2 [01-20-2022] - Updated itential-utils dependency to latest version.
  • app-service_management:2.24.3-2021.2.1 [01-12-2022] - Updated itential-utils dependency to latest version.
  • app-workflow_builder:5.44.8-2021.2.2 [01-21-2022] - Updated Itential-utils dependency to latest version.
  • pronghorn-core:13.15.17-2021.2.19 [01-21-2022] - Updated dependencies to fix issues with the colors npm package.
  • search:1.1.18-2021.2.3 [01-18-2022] - Updated itential-utils dependency to latest version.
  • tags:3.1.5-2021.2.1 [01-17-2022] - Updated itential-utils dependency in tags library.

2021.2.1 Release Versions

Automation Platform Versions

component version
@itential/adapter-automation_gateway 4.24.1-2021.2.1
@itential/adapter-azure_aaa 1.3.2-2021.2.2
@itential/adapter-email 4.2.2-2021.2.2
@itential/adapter-ldap 2.13.1-2021.2.2
@itential/adapter-local_aaa 4.3.1-2021.2.2
@itential/adapter-nso 7.8.2-2021.2.4
@itential/adapter-radius 2.1.1-2021.2.1
@itential/app-admin_essentials 3.5.64-2021.2.18
@itential/app-ag_manager 1.16.1-2021.2.1
@itential/app-automation_catalog 2.11.10-2021.2.4
@itential/app-automation_studio 3.61.22-2021.2.4
@itential/app-configuration_manager 3.90.10-2021.2.7
@itential/app-form_builder 4.11.7-2021.2.2
@itential/app-json_forms 1.33.5-2021.2.2
@itential/app-jst 1.5.18-2021.2.2
@itential/app-mop 6.11.8-2021.2.0
@itential/app-nso_manager 2.23.0-2021.2.2
@itential/app-operations_manager 1.135.13-2021.2.8
@itential/app-service_catalog 3.11.1-2021.2.0
@itential/app-service_management 2.24.3-2021.2.2
@itential/app-template_builder 2.6.2-2021.2.0
@itential/app-workflow_builder 5.44.8-2021.2.2
@itential/app-workflow_engine 9.12.7-2021.2.6
@itential/pronghorn-core 13.15.17-2021.2.21
@itential/search 1.1.18-2021.2.3
@itential/tags 3.1.5-2021.2.1
@itential/itential-utils 2.8.1

Automation Gateway Versions

component version
automation_gateway 3.176.0+2021.2.6

NSO Manager Versions

component version
itential-tools 1.23.35.2021.2.1

Engine Versions

component version
policy-engine 1.10.7+2021.2.1

Dependencies

Automation Platform Server

Package Supported
nodejs >=14.18.2 <15.0.0
npm >=6.14.15 <7.0.0
python >=3.9.5
pip supported
pip >=20.2.4
textfsm >=1.1.2 <1.2.0
Jinja2 >=2.11.3 <2.12.0

The gcc-c++ and make packages should be installed from your OS distribution.

MongoDB Server

Package Supported
mongodb >=5.0.0 <5.1.0

RabbitMQ Server

Package Supported
rabbitmq >=3.8.14 <3.9.0
erlang >=22.3.0 <25.0.0
elixir >=1.10.0 <1.11.0
dedup >=0.5.0 <0.6.0

Redis Server

Package Supported
redis >=5.0.12 <6.0.0

The gcc-c++ and make packages should be installed from your OS distribution.

Hashicorp Vault

Package Supported
vault >=1.0.0 <2.0.0

Automation Gateway

Package Supported
python >=3.9.5 <4.0.0
openssl >=1.1.0 <=1.2.0
haproxy >=2.0.0 <3.0.0

The gcc-c++ and make packages should be installed from your OS distribution.

The following development packages are required to install automation gateway: libffi-dev, openssl-dev, python-dev, sqlite-dev.

pip package Supported
pip 20.2.4
ansible >=2.9.0 <2.11.0
terraform >=0.12.0 <0.13.0
nornir >=3.0.0 <4.0.0
netmiko >=3.0.0 <4.0.0

One or more of the following packages may be required by the specific ansible modules you're using: psutil, pycrypto, paramiko, ncclient, lxml, nitrosdk-python, jxmlease.

Check the ansible documentation for the roles you're planning to use for additional package requirements.

NSO/Itential Tools

Package Supported
java >=1.70 <1.9.0

The ant package should be installed from your OS distribution.

IAP Compatibility

Device Configuration

Device Configuration compatibility describes which devices are expected to work with the basic features of the Configuration Manager application across various southbound systems.

Ansible:

* Arista EOS
* Cisco IOS
* Cisco IOSXR
* Cisco NX
* Juniper Junos

NSO:

Refer to the NSO Versions and NED Versions tables below for a list of tested devices.

Device Compliance

Device Compliance compatibility describes which devices are expected to work with Golden Configurations.

Ansible:

* Arista EOS
* Cisco IOS
* Cisco IOSXR
* Cisco NX
* Juniper Junos

NSO (Configuration Manager app):

* Arista EOS
* Cisco IOS
* Cisco IOSXR
* Cisco NX
* Juniper Junos

Device Maintenance

Device Maintenance compatibility describes which devices Itential can perform maintenance activities on (e.g., reboots and firmware upgrades).

Ansible:

* Arista EOS
* Cisco IOS
* Cisco IOSXR
* Juniper Junos

NSO:

* cisco-ios
* cisco-iosxr
* juniper-junos

Device Health Checks

Device Health Checks compatibility describes which devices Itential can execute read-only show commands to use the method broker and Command Templates application.

Ansible:

* Arista EOS
* Cisco IOS
* Cisco IOSXR
* Cisco NX
* Juniper Junos

NSO:

* a10-acos
* alu-sr
* arista-dcs
* cienacli-acos
* cisco-aireos
* cisco-asa
* cisco-gss
* cisco-ios
* cisco-iosxr
* cisco-nx
* cisco-qps
* cisco-staros
* ericsson-sgsnmme
* f5-bigip
* huawei-vrp
* juniper-junos

Note: Some of the devices in the health checks category are tested against netsim devices.

Forms

Ansible:

IAP can render most ansible networking modules as forms. Support for specific modules may vary. If you encounter issues with any particular modules, reach out to the Itential Customer Success Team for assistance.

NSO:

IAP can render most service models advertised by NSO as forms. Support for specific yang features may vary. If you encounter issues with your service models, reach out to the Itential Customer Success Team for assistance.

Service Provisioning

NSO:

IAP can provision most service models advertised by NSO. Support for specific yang features may vary. If you encounter issues with your service models, reach out to the Itential Customer Success Team for assistance.

Devices/Services Compatibility

The Itential Automation Platform is tested against the following component versions.

Ansible Versions:

* 2.10.7
* 2.9.27

Ansible Modules:

* eos_facts
* eos_command
* eos_config
* ios_facts
* ios_command
* ios_config
* iosxr_facts
* iosxr_command
* iosxr_config
* nx_facts
* nx_command
* nx_config
* junos_facts
* junos_command
* junos_config

NSO Versions:

* 5.7.x
* 5.6.x
* 5.5.1
* 5.4.4

NSO NED Versions:

ned 5.4.4 5.5.1 5.6
a10-acos 3.18 3.18 3.18
adtran-aos 4.0.6 4.0.6 4.0.6
alu-sr 8.13.4 8.13.4
8.13.3
8.13.3
6.13.4
8.21
arista-dcs 5.20.2 5.20.2
5.20
5.20.2
5.23
checkpoint-gaiaos_rest n/a 1.10.7
1.10.6
1.10.7
1.10.6
1.10.22
ciena-acos 6.2.5 6.2.5
6.2.4
6.2.4
6.2.5
6.4
cisco-aireos 3.7.2
3.7.1
3.7.2
3.7.1
3.7.1
3.7.2
3.9.3
cisco-asa 6.12.4 6.12.4
6.12.3
6.12.3
6.12.4
6.13.6
cisco-gss 2.1.1 2.1.1 2.1.1
cisco-ios 6.69
6.68.2
6.69
6.68.2
6.68.2
6.72.2
6.74.11
cisco-iosxr 7.33 7.33
7.32.5
7.32.5
7.33
7.36
cisco-nx 5.21.1 5.21.1
5.21
5.21.1
5.22.1
cisco-qps 5.1.3 5.1.3 5.1.3
5.1.7
cisco-staros 5.34.6
5.34.5
5.34.6
5.34.5
5.34.5
5.34.6
5.41.1
ericsson-sgsnmme 1.0.7 n/a n/a
f5-bigip 3.17
3.16
3.17
3.16
3.16
3.17
3.21.1
fortinet-fortios 5.4.21 5.4.21
5.4.20
5.4.20
5.4.21
5.5
huawei-usn 1.2.1 n/a n/a
huawei-vrp 6.17.4
6.17.3
6.17.4
6.17.3
6.17.3
6.17.4
6.26.8
juniper-junos 4.6.19
4.6.17
4.6.19
4.6.17
4.6.19
4.6.23
4.6.33
paloalto-panos_cli 4.8.2
4.8.1
4.8.2
4.8.1
4.8.2
4.8.1
4.8.8
radware-alteonos 2.4.1 2.4.1
2.4
2.4.1
2.4
unix-bind 2.1.0 2.1.0 2.1.0
2.1.3

VTS Versions:

* 2.6.2

VTS NED Versions:

ned 2.6.2
cisco-iosxr 6.6
cisco-ncs5500 1.0
cisco-nx 5.1.4

Virtual Devices:

* A10 vThunder 4.1.4 GR1
* Arista EOS-4.23.0FX
* Checkpoint R80.30-273.583
* Cisco ASAv 9.13.1.7
* Cisco CSR 17.02.01r
* Cisco NX 9.3.2, 9.3.1
* Cisco StarOS 21.15.29
* Cisco XR6.3.1
* F5 BIGIP 15.1.0.2-0.0.9
* Fortigate 6.4.0
* Juniper VMX 18.4R1
* Juniper VSRX 19.1R2
* PanOS 9.1.2
* Radware 32.6.0.0

IAP Browser Compatibility

This maintenance release was tested against the following browser versions:

* Firefox 89
* Chrome 91.0.4472.77
* Edge 91.0.864.37
* Internet Explorer 11